package com.ruoyi.ibs.list.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 对私客户信息对象 cust_info_retail
 * 
 * @author ruoyi
 * @date 2024-09-19
 */
@Data
public class CustInfoRetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 客户号;<字典:cust_id> */
    @Excel(name = "客户号;<字典:cust_id>")
    private String custId;

    /** 客户内码 */
    @Excel(name = "客户内码")
    private String custIsn;

    /** 身份证号;<字典:cust_idc> */
    @Excel(name = "身份证号;<字典:cust_idc>")
    private String custIdc;

    /** 姓名 */
    @Excel(name = "姓名")
    private String custName;

    /** 手机号 */
    @Excel(name = "手机号")
    private String custPhone;

    /** 开户时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开户时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date openAccTime;

    /** 所属支行 */
    @Excel(name = "所属支行")
    private String belongBranchId;

    /** 所属支行名称 */
    @Excel(name = "所属支行名称")
    private String belongBranchName;

    /** 性别 */
    @Excel(name = "性别")
    private String custGender;

    /** 婚姻状况 0未婚 1已婚 2离异 */
    @Excel(name = "婚姻状况 0未婚 1已婚 2离异")
    private String isMarried;

    private String asset;

    private String credit;

    /** 活跃机构 */
    @Excel(name = "活跃机构")
    private String activeBranchId;

    /** 活跃机构名称 */
    @Excel(name = "活跃机构名称")
    private String activeBranchName;

    /** 年龄 */
    @Excel(name = "年龄")
    private String custAge;

    /** 所属行业 */
    @Excel(name = "所属行业")
    private String belongBusi;

    /** 学历 */
    @Excel(name = "学历")
    private String custEdu;

    /** 年收入（万） */
    @Excel(name = "年收入", readConverterExp = "万=")
    private String custSalary;

    /** 地址 */
    @Excel(name = "住宅地址")
    private String custLocation;

    /** 地址 */
    @Excel(name = "户籍地址")
    private String registerLocation;

    /** 地址 */
    @Excel(name = "工作地址")
    private String jobLocation;

    /** 产品标签：第一位：存款、第二位：贷款、第三位：中收：xxx */
    @Excel(name = "产品标签：第一位：存款、第二位：贷款、第三位：中收：xxx")
    private String custTag;

    /** 更新部门 */
    @Excel(name = "更新部门")
    private String updateDept;

    /** 归属客户经理 */
    @Excel(name = "归属客户经理")
    private String belongUserId;

    /** 归属客户经理名 */
    @Excel(name = "归属客户经理名")
    private String belongUserName;

    /** 客户状态 */
    @Excel(name = "客户状态")
    private String status;

    /** 是否贷款 0-是；1-否 */
    @Excel(name = "是否贷款 0-是；1-否")
    private String loanTag;

    /** 客户类型：存量/潜在 */
    @Excel(name = "客户类型：存量/潜在")
    private String custType;

    /** 归属网点id */
    @Excel(name = "归属网点id")
    private String belongOutletId;

    /** 归属网点 */
    @Excel(name = "归属网点")
    private String belongOutletName;

    /** 生日 */
    @Excel(name = "生日")
    private String birthday;

    /** 所属行政区划编码 */
    @Excel(name = "所属行政区划编码")
    private String regionCode;

    /** 风险评估 */
    @Excel(name = "风险评估")
    private String risk;

    /** 客户标识 */
    @Excel(name = "客户标识")
    private String identification;

    /** 客户标签 */
    @Excel(name = "客户标签")
    private String label;

    private String custLevel;

    public String getBelongUserNameList() {
        return belongUserNameList;
    }

    public void setBelongUserNameList(String belongUserNameList) {
        this.belongUserNameList = belongUserNameList;
    }

    /**
     * 归属 网格客户经理名，多个按照逗号 隔开
     */
    private String belongUserNameList;

    private String recordStatus;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCustId(String custId) 
    {
        this.custId = custId;
    }

    public String getCustId() 
    {
        return custId!=null?custId:"";
    }
    public void setCustIsn(String custIsn) 
    {
        this.custIsn = custIsn;
    }

    public String getCustIsn() 
    {
        return custIsn!=null?custIsn:"";
    }
    public void setCustIdc(String custIdc) 
    {
        this.custIdc = custIdc;
    }

    public String getCustIdc() 
    {
        return custIdc!=null?custIdc:"";
    }
    public void setCustName(String custName) 
    {
        this.custName = custName;
    }

    public String getCustName() 
    {
        return custName!=null?custName:"";
    }
    public void setCustPhone(String custPhone) 
    {
        this.custPhone = custPhone;
    }

    public String getCustPhone() 
    {
        return custPhone!=null?custPhone:"";
    }
    public void setOpenAccTime(Date openAccTime) 
    {
        this.openAccTime = openAccTime;
    }

    public Date getOpenAccTime() 
    {
        return openAccTime;
    }
    public void setBelongBranchId(String belongBranchId) 
    {
        this.belongBranchId = belongBranchId;
    }

    public String getBelongBranchId() 
    {
        return belongBranchId!=null?belongBranchId:"";
    }
    public void setBelongBranchName(String belongBranchName) 
    {
        this.belongBranchName = belongBranchName;
    }

    public String getBelongBranchName() 
    {
        return belongBranchName!=null?belongBranchName:"";
    }
    public void setCustGender(String custGender) 
    {
        this.custGender = custGender;
    }

    public String getCustGender() 
    {
        return custGender!=null?custGender:"";
    }
    public void setIsMarried(String isMarried) 
    {
        this.isMarried = isMarried;
    }

    public String getIsMarried() 
    {
        return isMarried!=null?isMarried:"";
    }
    public void setActiveBranchId(String activeBranchId) 
    {
        this.activeBranchId = activeBranchId;
    }

    public String getActiveBranchId() 
    {
        return activeBranchId!=null?activeBranchId:"";
    }
    public void setActiveBranchName(String activeBranchName) 
    {
        this.activeBranchName = activeBranchName;
    }

    public String getActiveBranchName() 
    {
        return activeBranchName!=null?activeBranchName:"";
    }
    public void setCustAge(String custAge) 
    {
        this.custAge = custAge;
    }

    public String getCustAge() 
    {
        return custAge!=null?custAge:"";
    }
    public void setBelongBusi(String belongBusi) 
    {
        this.belongBusi = belongBusi;
    }

    public String getBelongBusi() 
    {
        return belongBusi!=null?belongBusi:"";
    }
    public void setCustEdu(String custEdu) 
    {
        this.custEdu = custEdu;
    }

    public String getCustEdu() 
    {
        return custEdu!=null?custEdu:"";
    }
    public void setCustSalary(String custSalary) 
    {
        this.custSalary = custSalary;
    }

    public String getCustSalary() 
    {
        return custSalary!=null?custSalary:"";
    }
    public void setCustLocation(String custLocation) 
    {
        this.custLocation = custLocation;
    }

    public String getCustLocation() 
    {
        return custLocation!=null?custLocation:"";
    }
    public void setCustTag(String custTag) 
    {
        this.custTag = custTag;
    }

    public String getRegisterLocation() {
        return registerLocation!=null?registerLocation:"";
    }

    public void setRegisterLocation(String registerLocation) {
        this.registerLocation = registerLocation;
    }

    public String getJobLocation() {
        return jobLocation!=null?jobLocation:"";
    }

    public void setJobLocation(String jobLocation) {
        this.jobLocation = jobLocation;
    }

    public String getCustTag()
    {
        return custTag!=null?custTag:"";
    }
    public void setUpdateDept(String updateDept) 
    {
        this.updateDept = updateDept;
    }

    public String getUpdateDept() 
    {
        return updateDept!=null?updateDept:"";
    }
    public void setBelongUserId(String belongUserId) 
    {
        this.belongUserId = belongUserId;
    }

    public String getBelongUserId() 
    {
        return belongUserId!=null?belongUserId:"";
    }
    public void setBelongUserName(String belongUserName) 
    {
        this.belongUserName = belongUserName;
    }

    public String getBelongUserName() 
    {
        return belongUserName!=null?belongUserName:"";
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status!=null?status:"";
    }
    public void setLoanTag(String loanTag) 
    {
        this.loanTag = loanTag;
    }

    public String getLoanTag() 
    {
        return loanTag!=null?loanTag:"";
    }
    public void setCustType(String custType) 
    {
        this.custType = custType;
    }

    public String getCustType() 
    {
        return custType!=null?custType:"";
    }
    public void setBelongOutletId(String belongOutletId) 
    {
        this.belongOutletId = belongOutletId;
    }

    public String getBelongOutletId() 
    {
        return belongOutletId!=null?belongOutletId:"";
    }
    public void setBelongOutletName(String belongOutletName) 
    {
        this.belongOutletName = belongOutletName;
    }

    public String getBelongOutletName() 
    {
        return belongOutletName!=null?belongOutletName:"";
    }
    public void setBirthday(String birthday) 
    {
        this.birthday = birthday;
    }

    public String getRegionCode() {
        return regionCode!=null?regionCode:"";
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getBirthday()
    {
        return birthday!=null?birthday:"";
    }
    public void setRisk(String risk) 
    {
        this.risk = risk;
    }

    public String getRisk() 
    {
        return risk!=null?risk:"";
    }
    public void setIdentification(String identification) 
    {
        this.identification = identification;
    }

    public String getIdentification() 
    {
        return identification!=null?identification:"";
    }


    public String getLabel() {
        return label!=null?label:"";
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public String getRecordStatus() {
        return recordStatus;
    }

    public void setRecordStatus(String recordStatus) {
        this.recordStatus = recordStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("custId", getCustId())
            .append("custIsn", getCustIsn())
            .append("custIdc", getCustIdc())
            .append("custName", getCustName())
            .append("custPhone", getCustPhone())
            .append("openAccTime", getOpenAccTime())
            .append("belongBranchId", getBelongBranchId())
            .append("belongBranchName", getBelongBranchName())
            .append("custGender", getCustGender())
            .append("isMarried", getIsMarried())
            .append("activeBranchId", getActiveBranchId())
            .append("activeBranchName", getActiveBranchName())
            .append("custAge", getCustAge())
            .append("belongBusi", getBelongBusi())
            .append("custEdu", getCustEdu())
            .append("custSalary", getCustSalary())
            .append("custLocation", getCustLocation())
            .append("custTag", getCustTag())
            .append("updateDept", getUpdateDept())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("belongUserId", getBelongUserId())
            .append("belongUserName", getBelongUserName())
            .append("status", getStatus())
            .append("loanTag", getLoanTag())
            .append("custType", getCustType())
            .append("belongOutletId", getBelongOutletId())
            .append("belongOutletName", getBelongOutletName())
            .append("regionCode", getRegionCode())
            .append("birthday", getBirthday())
            .append("risk", getRisk())
            .append("identification", getIdentification()).append("label",getLabel())
            .toString();
    }
}
